BQ Firmware Flash Tool 3.0.4 en Ubuntu



  • como sabeis al descargar esta aplicacion y descomprimirla aparecen 2 carpetas una para windows y otra para ubuntu.
    vamos a centrarnos en la de ubuntu, me preguntaba un amigo que los .deb de esa carpeta de ubuntu no le funcionaban......
    me puse hacer la prueba.... la prueba fue realizada con ubuntu Ubuntu 18.04.1 LTS y mi sorpresa fue que daba error los .deb
    que error? pues este 

    al instalar el paquete .deb Error: no se puede satisfacer la dependencia gksu

    que paso?, que gksu ha sido eliminado de los repositorios de Debian y por lo tanto de ubuntu. 
    lo usuarios de ubuntu ya saben lo que era gksu, por lo menos los usuarios no tan recientes.
    (gksu permitia Abrir aplicaciones con interfaz gráfica). 

    pero se me ocurrio hacer otra cosa, probar a instalar los .exe  pero con wine, (version wine 3.0, es muy reciente esta versión)
    para los que sean usuarios de ubuntu saben de lo que estoy hablando, y los que no pues le preguntamos a google sobre wine mejor dicho, winehq,
    solo decir que permite ejecutar apliciones windows sobre linux, (vamos como si tuvieras un windows o casi) +info en google, 
    cientos de personas explican de forma sencilla como instalar wine y su configuracion.

    Mi sorpresa fue que se instalo correctamente el archivo BQ firmware Flash tool installation package***.exe, es mas,  tambien instale 
    el driver que recomiendan, BQ handset USB driver.exe.

    run  BQ Flash tool en ubuntu 18 LTS ...............................

    mi sorpresa es que se abre la ventana de firmware flash tool, numero de serie y conectar dispositivo..

    tendria que ahora....conectar el dispositivo al PC mediante cable USB.

    yo no pude probar esto,  no tengo el bq u2, alguien pudo probar esto?, o puede probarlo, simplemte es saber si se conecta, si se conceta supuestamente
    funcionaria exactmente que si lo hicieras desde windows pero en ubuntu. podria ser util para todos los usuarios de ubuntu. Una distribucion facil de usar.
    Gracias.



  • Yo podría probar esto con mi U Plus y una instalación de Linux Mint 18 (es equivalente a Ubuntu 18.04.1). Si es así, lo comentaré. Gracias por avisar 🙂



  • Gracias impreza233, efectivamnte LINUX mint otra gran oferta, seguramente ya tengas instalado wine y casi configudo, click click y click. Mint se parece mucho a Windows. salvado lo "diferente" claro. en general se podria probar en casi cualquier distribucion derivada de ubuntu, humildemente creo que tambien seria valido. y me atreveria a decir incluso ubuntu 16 LTS una diestribucion muuuuy probada y probada y probada y probada. recuerdo que ubuntu 18 LTS esta recien liberada. wine se puede conseguir muy facilmente en repositorios oficiales. de tu distribucion.
    Gracias.
    :~$



  • Haciendo pruebas con mi Linux Mint 19, consigo la misma situación que tú. 


    gksu no estará disponible en los repositorios de Ubuntu desde la versión 18.04. Tampoco estará ni en los derivados de esta versión (Linux Mint) ni en Debian. Lo único que se puede hacer es instalar gksu de forma manual.



  • a ver impreza233,, LINUX mint 18 equivale a ubuntu 16 LTS, y el NUEVO linux mint 19 es = ubuntu 18 LTS,.



  • Cierto, fallo mío 😅😅. Corrijo la errata. Gracias!!!



  • La solución es modificar el .deb para sustituir el gksu por la variable admin:// de gvfs



  • Eso es, @Dark_Jack. El tema sería que los desarrolladores de ese paquete modifiquen el gksu para transformarlo en una interfaz gráfica para gvfs que sea compatible con el BQ Flash Firmware Tool. Quizás investigando en las listas de bugs de Ubuntu pueda esclarecer algo más sobre este caso.



  • Simplemente quiero aclarar algo.
    gksu es para dar permisos de administrador desde una interfaz grafica.
    Si es una dependencia, se puede buscar el paquete desde otra distro, por ejemplo, debian.
    Aqui esta:
    https://packages.debian.org/stretch/gksu
    tened cuidado con las dependencias y no romper nada. Tambien con la arquitectura (x86 o amd64).
    Otra opcion es, si no es una dependencia, abrir una terminal como root y ejecutar dpkg -i [nombre del paquete].deb


  • MVP

    @dark_jack una pregunta, ¿tú has probado a hacerlo? Hasta donde yo sé esa variable se utiliza para abrir ficheros y directorios como root, pero no para ejecutar algo con permisos de root.

    Sé que la diferencia puede resultar casi imperceptible al ojo poco entrenado, pasaría por un juego de palabras, pero sin probarlo yo no me aventuraría a decir que "es tan simple como eso".

    Si lo has probado y funciona, perfecto, pero si no lo has hecho… en fin, si saco un rato (premisa difícil de cumplir) le echo un vistazo.

    Saludos



  • Solo me queda decir esto, decir que no conseguí instalar flast tool con wine, da error.
    La otra opción es conocida instalar paquetes gksu, AVISO: Debian no lo recomienda.

    Decir también que en ubuntu 16.4.5 (64 bits), en los repositorios esta gksu, solo hay que instalarlos y BQ Firmware Flash Tool 3.0.4 se instala correctamente.

    En Xubuntu 18.04 de (32bits) También logré instalarlo.
    Primero instalar instalar libgksu2-0****i386.deb y después instalar gksu_2.0.2-9ubuntu1_i386.deb

    os dejo en link para todas las distros. "Simplemente" hay que probar si funciona.
    https://pkgs.org/download/gksu

    Saludos.